Subject: Re: bug#57684: locked narrowing breaks existing code without an apparent way to repair

From: Richard Stallman <[email-masked]>
Date: Fri, 16 Sep 2022 23:40:19 -0400

[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]

  > It is still true.  The problem exists only with Lisp code that is run
  > when QUITs are either intentionally disabled, or when Lisp is run from
  > the display engine, where QUIT is caught and basically ignored.  The
  > particular case which started this thread is of the latter variety.

I never allowed redisplay to run Lisp code -- it seemed very dangerous.
An error there could leave redisplay data structures inconsistent.

-- 
Dr Richard Stallman (https://stallman.org)
Chief GNUisance of the GNU Project (https://gnu.org)
Founder, Free Software Foundation (https://fsf.org)
Internet Hall-of-Famer (https://internethalloffame.org)